Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600386 (FedoraManpagescan) - Fedora Devel Man Page Scan Tracker
Summary: Fedora Devel Man Page Scan Tracker
Keywords:
Status: NEW
Alias: FedoraManpagescan
Product: Fedora
Classification: Fedora
Component: distribution
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Maryna Nalbandian
QA Contact: Maryna Nalbandian
URL:
Whiteboard:
Depends On: 1611143 1611146 1611148 1611149 1611150 1611153 1611155 1611157 1611161 1611162 1611164 1611165 1611167 1611168 1611169 1611171 1611173 1611174 1611176 1611177 1611178 1611179 1611180 1611182 1611184 1611185 1611186 1611187 1611190 1611191 1611193 1611195 1611196 1611198 1611201 1611203 1611208 1611214 1611215 1611219 1611220 1611221 1611225 1611228 1611229 1611230 1611232 1611233 1611237 1611238 1611240 1611242 1611243 1611244 1611246 1611251 1611252 1611256 1611258 1611259 1611261 1611262 1611263 1611265 1611268 1611272 1611274 1611275 1611276 1611278 1611280 1611282 1611283 1611286 1611289 1611290 1611292 1611293 1611294 1611296 1611297 1611298 1611300 1611302 1611304 1611307 1611309 1611311 1611316 1611317 1611318 1611319 1611321 1611322 1611324 1611325 1611327 1611328 1611329 1611330 1611331 1611332 1611333 1611336 1611338 1611340 1611341 1611344 1611345 1611346 1611347 1611351 1611352 1611353 1611354 1611360 1611361 1611367 1611381 1611385 1611388 1611392 1611393 1611396 1611399 1611400 1611401 1611402 1611403 1611404 1611405 1611408 1611409 1611410 1611412 1611414 1611415 1611417 1611421 1611426 1611427 1611429 1611430 1611431 1611432 1611433 1611435 1611437 1611439 1611441 1611444 1611445 1611447 1611449 1611451 1611452 1611454 1611456 1611457 1611463 1611464 1611465 1611466 1611467 1611469 1611470 1611471 1611473 1611474 1611475 1611476 1611478 1611490 1611492 1611495 1611496 1611497 1611502 1611504 1611509 1611512 1611513 1611517 1611518 1611519 1611521 1611522 1611524 1612111 1612158 1612161 1612165 1612167 1612168 1612169 1612170 1612171 1612172 1612173 1612175 1612176 1612178 1612179 1612182 1612183 1612184 1612185 1612186 1612190 1612191 1612192 1612194 1612197 1612198 1612199 1612201 1612202 1612203 1612206 1612207 1612209 1612212 1612216 1612218 1612219 1612221 1612222 1612224 1612225 1612226 1612227 1612228 1612231 1612232 1612233 1612235 1612238 1612241 1612244 1612248 1612249 1612250 1612251 1612252 1612254 1612258 1612259 1612262 1612263 1612265 1612266 1612267 1612269 1612270 1612271 1612273 1612274 1612275 1612276 1612277 1612279 1612283 1612284 1612285 1612286 1612287 1612290 1612291 1612293 1612295 1612296 1612297 1612298 1612302 1612303 1612305 1612306 1612307 1612308 1612309 1612311 1612314 1612315 1612316 1612317 1612318 1612319 1612321 1612325 1612326 1612327 1612329 1612332 1612333 1612334 1612336 1613005 1611139 1611142 1611145 1611147 1611152 1611154 1611156 1611159 1611160 1611170 1611172 1611175 1611181 1611183 1611189 1611197 1611199 1611200 1611202 1611204 1611207 1611210 1611211 1611213 1611216 1611217 1611218 1611223 1611226 1611227 1611231 1611234 1611235 1611236 1611239 1611249 1611253 1611254 1611255 1611257 1611260 1611264 1611266 1611267 1611269 1611270 1611273 1611277 1611279 1611285 1611287 1611288 1611291 1611295 1611299 1611301 1611303 1611305 1611308 1611312 1611313 1611314 1611315 1611334 1611335 1611337 1611339 1611342 1611349 1611350 1611355 1611356 1611357 1611359 1611362 1611363 1611370 1611373 1611377 1611384 1611386 1611387 1611389 1611390 1611391 1611394 1611397 1611406 1611407 1611411 1611423 1611424 1611425 1611428 1611434 1611436 1611440 1611442 1611443 1611446 1611448 1611453 1611455 1611459 1611460 1611461 1611468 1611472 1611477 1611479 1611480 1611481 1611482 1611484 1611485 1611486 1611488 1611489 1611491 1611493 1611498 1611499 1611500 1611501 1611503 1611505 1611506 1611510 1611511 1611520 1612117 1612148 1612159 1612162 1612163 1612174 1612177 1612180 1612181 1612187 1612188 1612189 1612193 1612195 1612196 1612200 1612204 1612205 1612208 1612210 1612211 1612213 1612214 1612215 1612217 1612220 1612223 1612229 1612230 1612234 1612236 1612237 1612239 1612240 1612242 1612243 1612245 1612246 1612247 1612255 1612256 1612257 1612260 1612261 1612272 1612278 1612280 1612282 1612288 1612289 1612292 1612294 1612300 1612304 1612310 1612312 1612313 1612320 1612322 1612323 1612324 1612330 1612331 1612335
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 07:04 UTC by Maryna Nalbandian
Modified: 2018-08-06 17:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Error/warning explanation. (deleted)
2018-07-12 07:05 UTC, Maryna Nalbandian
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1595354 None None None Never

Internal Links: 1595354

Description Maryna Nalbandian 2018-07-12 07:04:11 UTC
Description of problem:

In order to improve usability of packages in Fedora, project Man Page Scan was created and its task is to provide consistency of man pages (and documentation in general). The results are now available for package maintainers to fix documentation issues.

Here is the simple process of man page check:

1. Run the script (you can find it in attachments):
    $ ./man-page-day.sh ${component}

2. For more information, please check README.md.

Comment 2 Maryna Nalbandian 2018-07-12 07:05:32 UTC
Created attachment 1458273 [details]
Error/warning explanation.

Comment 3 Kevin Fenzi 2018-07-12 17:13:50 UTC
So, just to note here: Filing this will not cause any developers to do anything. :) 

I do see you have this listed as a tracking bug, do you intend then to run the script over the fedora packages collection and file bugs? If so, do see: 
https://fedoraproject.org/wiki/Mass_package_changes

Let me know if I can help any further...

Comment 4 Maryna Nalbandian 2018-07-13 08:21:44 UTC
(In reply to Kevin Fenzi from comment #3)
> So, just to note here: Filing this will not cause any developers to do
> anything. :) 
> 
> I do see you have this listed as a tracking bug, do you intend then to run
> the script over the fedora packages collection and file bugs? If so, do see: 
> https://fedoraproject.org/wiki/Mass_package_changes
> 
> Let me know if I can help any further...

Hi Kevin,

Yes, this is a tracking bug and I'm going to inform people via devel-announce list about future reports to be done here.

Comment 5 Luigi Toscano 2018-07-13 15:26:52 UTC
The requirement of qa-tools makes it unusable for any external contributor.
Also the license of the script is not specified.

Comment 6 Zbigniew Jędrzejewski-Szmek 2018-07-13 19:04:19 UTC
Providing the script as an attachment in bugzilla is not very user-friendly. Maybe consider at least making a repo with it somewhere that one can git-clone easily.

Comment 7 Alexander Ploumistos 2018-07-14 11:21:36 UTC
Hi Maryna,

Either I'm doing something very wrong, or you've forgotten to provide the attachments…

(In reply to Maryna Nalbandian from comment #0)
> Here is the simple process of man page check:
> 
> 1. Run the script (you can find it in attachments):
>     $ ./man-page-day.sh ${component}
> 
> 2. For more information, please check README.md.

You also mentioned these files in your message to devel-announce, but the only attachment I could see was fedora_BZ:

> Please take a look at the bug tracker[1] and also ​please have a look at
> the attached! There are 2 files:
>
>    man-page-day.sh
>    README.md

I googled the script's name, but that got me to an expired RH URL:
http://download.eng.brq.redhat.com/archive/RHELManPageCheck/man-page-day.sh

Anyway, I checked fedora_BZ for any of the packages I maintain and I saw all of the gdouros-* fonts. For as long as I've been the POC for these packages, the fonts have always been provided as TrueType Fonts, without any source. Why would they need man pages?

Comment 8 Zbigniew Jędrzejewski-Szmek 2018-08-04 08:15:29 UTC
I now looked at three bugs for packages which I own. They were all bogus. Looking at other bugs, they *all* get closed as NOTABUG. It seems that the script grossly misdetects issues. This is wasting developer time.

Please stop filing mass bugs like that. You need to work on the script to have a higher sound/noise ratio *and* improve the legibility of the output first.


Note You need to log in before you can comment on or make changes to this bug.